#!/bin/bash
# sudo chmod +x git-release.sh
# Put in /usr/bin/ directory or somewhere else in the command path.
#
# From Command line a git repos local copy:
# git-release.sh ReleaseNameofExtension
# 
# 
# Outputs an archived copy of the current git commit, minus anything put in .gitattributes 
# with a export-ignore entry. Changes to the directory of of the export. Creates a blank 
# file. The blank file is used to blank out the git commit hash thats saved into the zip 
# archive comment by git-archive. Remove the blankfile.
#
# Adjust Vendor to your vendor/namespace.
# Adjust GitExportDIR to the path where you want to save your exported git repo archive.
#
vendor="phpbbmodders"
releasename="$1"
GitExportDIR="/media/Dingo/Torty/git-exported"

if [ ! -z "$1" ] 
then
  if [ -d .git ] 
  then
    git archive --format zip --prefix ext/$vendor/$releasename/ --output $GitExportDIR/$releasename.zip master -9
    cd $GitExportDIR
    touch blankfile.txt
    zip -z $releasename.zip < blankfile.txt
    rm blankfile.txt
  else
    clear
    echo ""
    echo "          .git does not exist."
    echo ""
    echo "          Are you sure this is a git repo?"
  fi
else
    clear
	echo "Please enter a project name"
fi